linux-lts-backport-natty: 2.6.38-15.60~lucid1 -proposed tracker

Bug #1003079 reported by Brad Figg on 2012-05-22
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Brad Figg
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux-lts-backport-natty (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.38-15.60~lucid1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 22. May 2012 19:17 UTC
kernel-stable-Certification-testing-end:Tuesday, 22. May 2012 19:31 UTC
kernel-stable-Prepare-package-end:Wednesday, 23. May 2012 23:31 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 23. May 2012 23:31 UTC
kernel-stable-Promote-to-proposed-end:Friday, 25. May 2012 19:02 UTC
kernel-stable-Verification-testing-start:Friday, 25. May 2012 20:02 UTC
kernel-stable-Security-signoff-start:Monday, 28. May 2012 09:16 UTC
kernel-stable-Verification-testing-end:Monday, 28. May 2012 09:16 UTC
kernel-stable-Regression-testing-start:Monday, 28. May 2012 09:16 UTC
kernel-stable-Security-signoff-end:Tuesday, 29. May 2012 22:46 UTC
kernel-stable-Promote-to-updates-start:Thursday, 31. May 2012 09:31 UTC
kernel-stable-Regression-testing-end:Thursday, 31. May 2012 09:31 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 12. June 2012 14:46 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 12. June 2012 14:46 UTC

Brad Figg (brad-figg) on 2012-05-22
tags: added: kernel-release-tracking-bug
Changed in linux-lts-backport-natty (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-05-22
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Colin Watson (cjwatson) on 2012-05-25
Changed in linux-lts-backport-natty (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-05-25
description: updated
Brad Figg (brad-figg) on 2012-05-25
description: updated
Luis Henriques (henrix) wrote :

No SRUs to verify; moving to testing.

Brad Figg (brad-figg) on 2012-05-28
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-05-29
description: updated
C de-Avillez (hggdh2) wrote :

No regressions observed

tags: added: qa-testing-passed

The regression-testing task was set to Fix Released but neither the qa-testing-passed or qa-testing-failed tag was applied

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
C de-Avillez (hggdh2) wrote :

No, the tag was applied. It seems that your bot and my updates collided.

Luis Henriques (henrix) wrote :

Re-setting status to 'In Progress'. Probably the tag has been set exactly at the same time the bot was doing the check.

Changed in kernel-sru-workflow:
status: Incomplete → In Progress
Brad Figg (brad-figg) on 2012-05-31
description: updated
Herton R. Krzesinski (herton) wrote :

To avoid collision with the bot, you can set the tag before setting the task (the bot only takes action after the task is set), I guess that way would work, unless there is some issue in launchpad and order of how changes are applied and seen.

Adam Conrad (adconrad) wrote :

--- Releasing linux-lts-backport-natty ---
Proposed: 2.6.38-15.60~lucid1
Security: 2.6.38-15.59~lucid1
Updates: 2.6.38-15.59~lucid1
Copied to lucid-updates
Copied to lucid-security

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-backport-natty - 2.6.38-15.60~lucid1

---------------
linux-lts-backport-natty (2.6.38-15.60~lucid1) lucid-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1003079

  [ Andy Whitcroft ]

  * [Config] control.stub is an intermediate product not a dependancy
    - LP: #992414

  [ Herton Ronaldo Krzesinski ]

  * linux: add Build-Depends for libnewt-dev, to enable perf TUI support
    - LP: #981717

  [ Tim Gardner ]

  * [Config] perarch and indep tools builds need separate build directories

  [ Upstream Kernel Changes ]

  * fcaps: clear the same personality flags as suid when fcaps are used
    - LP: #987571
    - CVE-2012-2123
  * natty security: fix compile error in commoncap.c
    - LP: #987571
    - CVE-2012-2123
  * KVM: Clean up error handling during VCPU creation
    - LP: #971685
    - CVE-2012-1601
  * KVM: Ensure all vcpus are consistent with in-kernel irqchip settings
    - LP: #971685
    - CVE-2012-1601
  * KVM: unmap pages from the iommu when slots are removed
    - LP: #987569
    - CVE-2012-2121
  * NFSv4: include bitmap in nfsv4 get acl data
    - LP: #893147
    - CVE-2011-4131
  * hugepages: fix use after free bug in "quota" handling
    - LP: #990368
    - CVE-2012-2133
 -- Luis Henriques <email address hidden> Wed, 23 May 2012 09:43:28 +0100

Changed in linux-lts-backport-natty (Ubuntu Lucid):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers